Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.util
Class UserException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.jdo.JDOException
                              |
                              +--javax.jdo.JDOCanRetryException
                                    |
                                    +--javax.jdo.JDOUserException
                                          |
                                          +--kodo.util.UserException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MappingInfoNotFoundException

public synchronized class UserException
extends JDOUserException
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`UserException()`
`UserException(String)`
`UserException(String, Object)`
`UserException(String, Throwable)`
`UserException(String, Throwable[])`
`UserException(String, Throwable[], Object)`
`UserException(String, Throwable, Object)`

Method Summary
`Object` | `writeReplace()`

Methods inherited from class javax.jdo.JDOException
`getCause, getFailedObject, getNestedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserException

    public UserException()

### UserException

    public UserException(String)

### UserException

    public UserException(String,
                         Object)

### UserException

    public UserException(String,
                         Throwable)

### UserException

    public UserException(String,
                         Throwable[])

### UserException

    public UserException(String,
                         Throwable[],
                         Object)

### UserException

    public UserException(String,
                         Throwable,
                         Object)

Method Detail

### writeReplace

    public Object writeReplace()
                        throws ObjectStreamException

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.